<%
'------------------------------------------------------------------------------------------------------------------------
' Visor web de imagenes situadas en una carpeta. v1.0.0
' El nombre de los ficheros debe ser el mismo diferenciandose uno de otros en un nmero. ejemplo: foto1.jpg, foto2.jpg....
' La numeracin del nombre de los ficheros debe ser consecutiva.
' Se permite el uso del codigo siempre y cuando se indique la procedencia y se ponga un enlace a la siguiente direccion:
'
' VISOR-WEB DE IMAGENES: 
'                      http://www.visorweb.tk 
'                      http://www.opcionweb.com/visorweb  
'
' Desarrollado por Pancho Macas (Salamanca-Espaa).
'
' Leer condiciones de uso en el fichero: condiciones.txt
' Leer documentacion del funcionamiento y requisitos en el fichero: requisitos.txt
'------------------------------------------------------------------------------------------------------------------------

'--------------------------------------------------------------------------------------------------------------------------------
'-- INICIO DE LAS VARIABLES DE CONFIGURACION DEL ENTRONO ------------------------------------------------------------------------
'--------------------------------------------------------------------------------------------------------------------------------
' La configuracin ms sencilla solo necesita especificar el nmero total de imgenes que hay en la carpeta. 
' Cambia donde pone XXX por el nmero de imgenes que tiene la carpeta.
' En esta configuracin por defecto las imgenes se deben llamar foto seguidas de un numero consecutivo.
' El tipo de imagen ser JPG. Esta debe ser la extensin que tengan los ficheros.
' La carpeta con las imgenes pequeas se llamara IMGP
' La carpeta con las imgenes grandes se llamara IMGG
' Por defecto las imgenes grandes se abren en una nueva ventana.
' Para un correcto funcionamiento del cdigo se recomienda no cambiar el nombre de las variables.
'--------------------------------------------------------------------------------------------------------------------------------

 Cuantas_imagenes_hay_en_la_carpeta = XXX 			' Escribe el total de Imagenes que hay en la carpeta.
 Total_fila = 6 											' Escribe el numero de filas que se desea visualizar en pantalla. (Mayor de cero). Por defecto 6
 Total_Columna = 4										' Escribe el numero de Columnas que se desea visualizar en pantalla. (Mayor de cero). Por defecto 4
 Nombre_comun_de_los_ficheros_de_imagen = "foto" 	' Nombre comn que tienen los ficheros. Por defecto "foto"
 Extension_de_los_ficheros_de_imagen = "jpg" 		' Extension que tienen todos los ficheros. Por defecto "jpg"
 Nombre_de_la_Carpeta_de_imagenes_grandes = "imgg" 	' Nombre de la carpeta de imagenes grandes. Por defecto "imgg"
 NombreCarpetap = "imgp" 								' Nombre de la carpeta de imagenes pequeas. Por defecto "imgp"
 colorfondoceldaarriba = "#000000"						' Color del relleno de la celda de la imagen. Por defecto negro "#000000"
 colorfondoceldaabajo = "#EEEEEE"						' Color del relleno de la celda del nombre de la imagen. Por defecto gris claro "#EEEEEE"
 Como_abrir_la_imagen_grande = "_blank"				' Definir si la imagen seleccionada se abre en una nuevapgina "_blank" o en la misma pgina "_self"

'--------------------------------------------------------------------------------------------------------------------------------
'-- FIN DE LAS VARIABLES DE CONFIGURACION DEL ENTRONO ---------------------------------------------------------------------------
'--------------------------------------------------------------------------------------------------------------------------------
%>
<HTML>
	<HEAD>
		<TITLE>VISOR-WEB DE IMAGENES v1.0.0 - Opcionweb.com</TITLE>
        <STYLE>
<!-- 
A:hover {color: "#FF0000"}
A:hover {text-transform: cursiva }
A:link {text-decoration: none} 
A:visited {text-decoration: none} 
A:active {text-decoration: none}
-->
body
{ 
  scrollbar-base-color: #FFFFFF;
  SCROLLBAR-FACE-COLOR: #FFFFFF; 
  SCROLLBAR-HIGHLIGHT-COLOR: #BBBBBB; 
  SCROLLBAR-SHADOW-COLOR: #FFFFFF; 
  SCROLLBAR-3DLIGHT-COLOR: #FFFFFF; 
  SCROLLBAR-ARROW-COLOR: #37519F; 
  SCROLLBAR-TRACK-COLOR: #FFFFFF; 
  SCROLLBAR-DARKSHADOW-COLOR: #AAAAAA;
}
</STYLE>
<script language="JavaScript1.2">
<!--
top.window.moveTo(0,0);
if (document.all) {
top.window.resizeTo(screen.availWidth,screen.availHeight);
}
else if (document.layers||document.getElementById) {
if (top.window.outerHeight<screen.availHeight||top.window.outerWidth<screen.availWidth){
top.window.outerHeight = screen.availHeight;
top.window.outerWidth = screen.availWidth;
}
}
//-->
</script>

</HEAD>

<BODY bgcolor="#ffffff" link="#000000" vlink="#000000" alink="#000000" topmargin="0">

 <p style="margin-bottom: 0">

 <%
 Dim cont_fila, cont_columna , cont_imagenes, cont_imagenes_fin, resto, img_por_pag , Total_pag , PagAct, Volver_Pag_Actual
 
 Session("Total_imagenes")=Cuantas_imagenes_hay_en_la_carpeta 
 Session("Nombrefichero")=Nombre_comun_de_los_ficheros_de_imagen 
 Session("Extensionfichero")=Extension_de_los_ficheros_de_imagen 
 Session("NombreCarpetag")=Nombre_de_la_Carpeta_de_imagenes_grandes 
 Session("comoabrirlaimagen")=Como_abrir_la_imagen_grande 
 Img_por_pag = Total_fila*Total_Columna							' Imagenes por pgina
 Total_pag = Session("Total_imagenes")\img_por_pag				' Total de pginas
 If Total_pag Mod img_por_pag >0 then Total_pag=Total_pag+1	' Si el numero de pginas entre las imagenes por pginas no da cero necesitamos una pgina mas.

 PagAct=Cint(Request.Querystring("datpag"))
 If PagAct<=0 or PagAct="" then PagAct=1

 Session("Volver_Pag_Actual")=Img_por_pag

 cont_fila=0
 cont_columna=0
 cont_imagenes=(PagAct*Img_por_pag)-Img_por_pag+1
 cont_imagenes_fin=(PagAct*Img_por_pag)
 if cont_imagenes_fin>=Session("Total_imagenes") then cont_imagenes_fin=Session("Total_imagenes")
 resto=0 

%>

<CENTER>

<!------------------------- Cdigo VISOR-WEB de Imgenes desarrollado por Pancho Macas - Opcionweb.com ------------------------->
<hr width="540" color="#000080">
<p style="margin-top: -8"><font face="Arial" size="1" color="#000080"><b>Cdigo
<a href="http://www.opcionweb.com/visorweb" target="_blank">
VISOR-WEB</a> de Imgenes desarrollado por Pancho Macas - <a href="http://www.opcionweb.com" target="_blank">OpcionWeb.com</a></b></font></p>
<!------------------------- Cdigo VISOR-WEB de Imgenes desarrollado por Pancho Macas - Opcionweb.com ------------------------->

<!------------------------------------------------------------ TABLA IMAGENES --------------------------------------------------->
<TABLE cellpadding=0 border=0>
<%
  Do while cont_imagenes<=cont_imagenes_fin
    Do while cont_fila<Total_fila
  %>
	<TR>
		<!-- imagenes con enlace -->
		<% Do while cont_columna<Total_Columna %> 
		<TD align="center" bgcolor=<%=colorfondoceldaarriba%>>	
		 <A href="ver.asp?vdat=<%=cont_imagenes%>" target=<%=Session("comoabrirlaimagen")%>>
		 <IMG src="<%=NombreCarpetap%>/<%=Session("Nombrefichero")%><%=cont_imagenes%>.<%=Session("Extensionfichero")%>" border="0" alt="<%=Session("Nombrefichero")%><%=cont_imagenes%>" align="absmiddle" >
		 </A>
		</TD>
		<%
		cont_columna=cont_columna+1
		cont_imagenes=cont_imagenes+1
       if cont_imagenes>Session("Total_imagenes") then
        cont_fila=Total_fila
        resto=cont_columna
        cont_columna=Total_columna
       else
        resto=cont_columna
       end if
		Loop
       cont_imagenes=cont_imagenes-resto
		cont_columna=0
		%>
	</TR>
	<TR>
		<!-- Titulos con enlace -->
		<% Do while cont_columna<Total_Columna %> 
		<TD align="center" valign="top" bgcolor=<%=colorfondoceldaabajo%>>
		 <A href = "ver.asp?vdat=<%=cont_imagenes%>" target=<%=Session("comoabrirlaimagen")%>>
		 <b><font face="Arial" size="1"><%=Session("Nombrefichero")%><%=cont_imagenes%>.<%=Session("Extensionfichero")%></font></b>
		 </A> 
		</TD>
		<%
		cont_columna=cont_columna+1
		cont_imagenes=cont_imagenes+1
       if cont_imagenes>Session("Total_imagenes") then
        cont_fila=Total_fila
        resto=cont_columna
        cont_columna=Total_columna
       else
        resto=cont_columna
       end if
		Loop
		cont_columna=0
		cont_fila=cont_fila+1
		%>
	</TR>
 <% 
  loop
  loop %>
</TABLE>
<!------------------------------------------------------------ TABLA IMAGENES --------------------------------------------------->

<!------------------------- Cdigo VISOR-WEB de Imgenes desarrollado por Pancho Macas - Opcionweb.com ------------------------->
<p style="margin-top: 10; margin-bottom: -8"><font face="Arial" size="1" color="#000080"><b>Cdigo
<a href="http://www.opcionweb.com/visorweb" target="_blank">
VISOR-WEB</a> de Imgenes desarrollado por Pancho Macas - <a href="http://www.opcionweb.com" target="_blank">OpcionWeb.com</a></b></font></p>
<hr width="540" color="#000080">
<!------------------------- Cdigo VISOR-WEB de Imgenes desarrollado por Pancho Macas - Opcionweb.com ------------------------->

<!------------------------------------------------------------ TABLA PAGINACION ------------------------------------------------->

  <table border="0" width="540" cellpadding="0" cellspacing="0">
    <tr>
      <td width="100%">        
          <p align="center">
          <b>        
          <%
            Dim ContPag
            contPag=1   								'Contador de Pginas
            
            Do while contPag<=Total_pag-1
              If ContPag=PagAct then %>				<!-- No crea enlace en el numero de pgina que se esta viendo -->
                <font face="Verdana" color="#0000FF" size="3">
                <%Response.write ContPag%><font face="Verdana" color="#FF0000" size="2"><%Response.write " - "
              else %>									<!-- Crea enlace en las numeros de las siguientes pginas  -->
                <font face="Verdana" color="#FF0000" size="2">
                <A HREF=index.asp?datpag=<%=ContPag%>><%Response.write ContPag%></A><%Response.write " - "
              end if              
              ContPag=ContPag+1						'Valor de la Pgina siguiente
		     loop 
		       
		       '----------------------------- Inicio del codigo que Escribe la ltima pgina sin poner el - al final.	       	
              If ContPag=PagAct then %>				<!-- No crea enlace en el numero de pgina que se esta viendo -->
                <font face="Verdana" color="#0000FF" size="3">
                <%Response.write ContPag%><font face="Verdana" color="#FF0000" size="2"><%
              else %>									<!-- Crea enlace en las numeros de las siguientes pginas  -->
                <font face="Verdana" color="#FF0000" size="2">
                <A HREF=index.asp?datpag=<%=ContPag%>><%Response.write ContPag%></A><%
              end if              
		       '----------------------------- Fin del codigo que Escribe la ltima pgina sin poner el - al final.            					
          %>        
          </b></font>        
        </td>
    </tr>
  </table>
<!------------------------------------------------------------ TABLA PAGINACION ------------------------------------------------->


</CENTER>

</BODY>

</HTML>